const response = await fetch('https://service.pcibooking.net/api/resources/stylesheet/DefaultCSS', {
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
const cssRecord = await response.json();
console.log(cssRecord);
import requests
response = requests.get(
'https://service.pcibooking.net/api/resources/stylesheet/DefaultCSS',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
css_record = response.json()
print(css_record)
{
"ResourceName": "DefaultCSS",
"Description": "The default CSS",
"ContentLTR": "body { background-color: powderblue; } h1 { color: blue; }",
"ContentRTL": "",
"IsDefault": true,
"ContentType": "text/css"
}
// Empty body. The specified ResourceName does not exist in your account.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
CSS Stylesheets
Retrieve CSS Record
Retrieve the content of a particular CSS record stored in PCI Booking.
GET
/
api
/
resources
/
stylesheet
/
{ResourceName}
const response = await fetch('https://service.pcibooking.net/api/resources/stylesheet/DefaultCSS', {
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
const cssRecord = await response.json();
console.log(cssRecord);
import requests
response = requests.get(
'https://service.pcibooking.net/api/resources/stylesheet/DefaultCSS',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
css_record = response.json()
print(css_record)
{
"ResourceName": "DefaultCSS",
"Description": "The default CSS",
"ContentLTR": "body { background-color: powderblue; } h1 { color: blue; }",
"ContentRTL": "",
"IsDefault": true,
"ContentType": "text/css"
}
// Empty body. The specified ResourceName does not exist in your account.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
Stylesheets Guide
Customize the appearance of hosted forms
Error Responses
| HTTP Status | Error Code | Description |
|---|---|---|
| 401 | -1003 | Not authenticated. The API key is missing or invalid. |
| 404 | Resource not found. No CSS record exists with the specified ResourceName. |
Parameter Constraints
| Parameter | Constraint |
|---|---|
ResourceName | Required. Must contain only alphanumeric characters ([a-zA-Z0-9]+). |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The resource name assigned to this CSS record. You can view the list of CSS records in the user’s site or retrieve the full list via the API.
const response = await fetch('https://service.pcibooking.net/api/resources/stylesheet/DefaultCSS', {
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
const cssRecord = await response.json();
console.log(cssRecord);
import requests
response = requests.get(
'https://service.pcibooking.net/api/resources/stylesheet/DefaultCSS',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
css_record = response.json()
print(css_record)
Response
{
"ResourceName": "DefaultCSS",
"Description": "The default CSS",
"ContentLTR": "body { background-color: powderblue; } h1 { color: blue; }",
"ContentRTL": "",
"IsDefault": true,
"ContentType": "text/css"
}
// Empty body. The specified ResourceName does not exist in your account.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}

